export interface CommonProps {
    columnConfig: any;
    formatter?: Function;
    onChange?: Function;
}
export interface InputProps extends CommonProps {
    value: string | undefined;
    maxLength: number;
}
export interface TextAreaProps extends CommonProps {
    value: string | undefined;
    maxLength: number;
    autosize?: boolean | any;
}
export interface SearchProps extends CommonProps {
    value: any[] | undefined;
    type: string;
    isMultiple?: boolean;
    maxCount?: number;
    tableId?: number;
    paramsJson?: any;
}
export interface SelectProps extends CommonProps {
    value: any[] | undefined;
    isMultiple?: boolean;
    maxCount?: number;
    tableId?: number;
    options?: any[];
}
export interface RateProps extends CommonProps {
    value: number | undefined;
}
export interface NumberProps {
    value: number | undefined;
    cellData?: [];
    floatRange?: number;
    rowId?: number;
    columnConfig?: any;
}
export interface NumberState {
    prevProps: NumberProps;
    value: number | undefined;
    cellData?: [];
}
export interface DateProps extends CommonProps {
    value: any | undefined;
}
